<?php
/**
 * @Statement: [ An Ordinary Person ]
 * @Author: 闻子 < QQ：270988107 >
 * @Copyright: 闻子 2016-2019 All rights reserved.
 *
 *    .--,       .--,
 *   ( (  \.---./  ) )
 *    '.__/o   o\__.'
 *       {=  ^  =}
 *        >  -  <
 *       /       \
 *      //       \
 *     //|   .   |\
 *     "'\       /'"_.-~^`'-.
 *        \  _  /--'         `
 *      ___)( )(___
 *     (((__) (__)))    高山仰止,景行行止.虽不能至,心向往之.
 *
 */

namespace app\common\logic;

use think\Db;

class Article extends Basedata
{
    /**
     * 定义模型
     * @Author 闻子 <270988107@qq.com>
     */
    public static $ArticleModel = null;

    /**
     * 实例化模型
     * @Author 闻子 <270988107@qq.com>
     */
    public function __construct()
    {
        parent::__construct();
        self::$ArticleModel = model($this->name);
    }

    /**
     * 获取文章数据逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getArticleInfo($where = [], $field = true)
    {
        return self::$ArticleModel->getInfo($where, $field);
    }

    /**
     * 获取文章列表逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getArticleList($where = [], $data = '')
    {
        return self::$ArticleModel->getWhereOrder($where, $data);
    }

    /**
     * 文章统计数据逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getArticleCount($where = [])
    {
        return self::$ArticleModel->stat($where);
    }

    /**
     * 文章数据提交逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function formdata($data)
    {
    	$data['time'] = date('Y-m-d H:i:s');
        $url = url('/ohbbs/'.$this->name.'/index');
        return self::$ArticleModel->setInfo($data) ? [RESULT_SUCCESS, '提交成功', $url] : [RESULT_ERROR, self::$ArticleModel->getError()];
    }

    /**
     * 文章编辑逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getedit($data)
    {
        $url = url('/ohbbs/'.$this->name.'/index');
        return self::$ArticleModel->setInfo($data) ? ['code' => 1, 'msg' => '提交成功', 'data' => '', 'url' => $url] : ['code' => 0, 'msg' => '提交失败', 'data' => '', 'url' => $url];
    }

    /**
     * 文章删除逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getArticleDel($id)
    {
        if (empty($id)) {
            return ["ERROR", '参数异常'];
        }
        $data['id'] = $id;
        $url = url('/ohbbs/'.$this->name.'/index');
        return self::$ArticleModel->deleteyi($data) ? ['code' => 1, 'msg' => '删除成功', 'data' => '', 'url' => $url] : ['code' => 0, 'msg' => '删除失败', 'data' => '', 'url' => $url];
    }

    /**
     * 批量删除文章逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getArticlealldel($data)
    {
        $str = rtrim($data, ","); 
        $row = self::$ArticleModel->deleteyi($str);
        $url = url('/ohbbs/'.$this->name.'/index');
        return $row ? ['code' => 1, 'msg' => '删除成功', 'data' => '', 'url' => $url] : ['code' => 1, 'msg' => '删除失败', 'data' => '', 'url' => $url];
    }

}